## GdlPreviewWindow GdlPreviewWindow — show destination docking site. |

## Stability Level

Private, unless otherwise indicated

## Functions

GtkWidget * | gdl_preview_window_new ()
void | gdl_preview_window_update ()

## Types and Values

struct | GdlPreviewWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GdlPreviewWindow

## Implemented Interfaces

GdlPreviewWindow implements AtkImplementorIface and GtkBuildable.

## Description

The GdlPreviewWindow is used to indicate the position where the widget will be dropped. Depending on the capability of the screen it can use a transparent window or just a border.

## Functions

### gdl_preview_window_new ()

    GtkWidget *
    gdl_preview_window_new (void);

Creates a new GdlPreviewWindow

#### Returns

New GdlPreviewWindow item.

### gdl_preview_window_update ()

    void
    gdl_preview_window_update (GdlPreviewWindow *window,
                               GdkRectangle *rect);

Update the size and position of the preview window. This function is called on drag_motion event to update the representation of the docking site in real time.

#### Parameters

window | a GdlPreviewWindow |
rect | the new position and size of the window |

## Types and Values

### struct GdlPreviewWindow

    struct GdlPreviewWindow;

The GdlDockLayout struct contains only private fields and should not be directly accessed.